# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies
#
# If you believe there's an error in this file please file an
# issue against the rust-lang/cargo repository. If you're
# editing this file be aware that the upstream Cargo.toml
# will likely look very different (and much more reasonable)

[package]
edition = "2018"
name = "carbide_wgpu"
version = "0.70.1"
authors = ["Holger Gott Christensen <holger.gott@icloud.com>"]
description = "A crate to assist with rendering carbide UIs via wgpu."
homepage = "https://github.com/pistondevelopers/carbide"
readme = "../../README.md"
keywords = ["ui", "widgets", "gui", "interface", "graphics"]
categories = ["gui"]
license = "MIT OR Apache-2.0"
repository = "https://github.com/pistondevelopers/carbide.git"
[dependencies.anyhow]
version = "1.0"

[dependencies.bytemuck]
version = "1.4"
features = ["derive"]

[dependencies.carbide_core]
version = "0.70"

[dependencies.carbide_derive]
version = "0.70"

[dependencies.carbide_winit]
version = "0.70"

[dependencies.cgmath]
version = "0.17"

[dependencies.env_logger]
version = "0.7"

[dependencies.find_folder]
version = "0.3"

[dependencies.futures]
version = "0.3"

[dependencies.image]
version = "0.23"

[dependencies.log]
version = "0.4"

[dependencies.uuid]
version = "0.8.1"
features = ["serde", "v4"]

[dependencies.wgpu]
version = "0.6"

[dependencies.winit]
version = "0.23"
[dev-dependencies.carbide_winit]
version = "0.70"

[dev-dependencies.find_folder]
version = "0.3"

[dev-dependencies.futures]
version = "0.3"

[dev-dependencies.image]
version = "0.23"

[dev-dependencies.winit]
version = "0.23"
[build-dependencies.anyhow]
version = "1.0"

[build-dependencies.fs_extra]
version = "1.1"

[build-dependencies.glob]
version = "0.3"

[build-dependencies.shaderc]
version = "0.6"
